### Hierarchy

- EmptyStateComponent

## Index

### Inputs

- icon

### Constructors

- constructor

### Properties

- icon

### Methods

- isTemplate

## Constructors

### constructor

- new EmptyStateComponent(): EmptyStateComponent

- #### Returns EmptyStateComponent

## Properties

### icon

@Input()
icon: "default" | "error" | "error404" | "not-authorized" | "no-results" | "success" | "no-icon" | TemplateRef<any>

- Defined in packages/angular/src/empty-state/empty-state.component.ts:40

## Methods

### isTemplate

- isTemplate(value: any): boolean

- - Defined in packages/angular/src/empty-state/empty-state.component.ts:50

  #### Parameters

  - ##### value: any

  #### Returns boolean

Generated using TypeDoc